Bug 556611 - Review Request: ptpd - Precision Time Protocol daemon
Review Request: ptpd - Precision Time Protocol daemon
Status: CLOSED DUPLICATE of bug 658796
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 495105
  Show dependency treegraph
 
Reported: 2010-01-18 16:27 EST by John W. Linville
Modified: 2013-03-23 00:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 11:39:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2010-01-18 16:27:39 EST
Spec URL: http://linville.fedorapeople.org/ptpd.spec
SRPM URL: http://linville.fedorapeople.org/ptpd-1.0.0-1.20100118git599b03bfd1294.fc11.src.rpm
Description:

This is the the PTP daemon (PTPd). PTPd implements the Precision
Time Protocol (PTP) as defined by 'IEEE Std 1588-2002'. PTP provides
precise time coordination of Ethernet LAN connected computers.
It was designed primarily for instrumentation and control systems.
Comment 1 Terje Røsten 2010-01-19 04:00:10 EST
# is reaaly date and git tag needed?

%define date    20100118

# is such a long tag needed? 
%define snapshot git599b03bfd1294

Summary: Precision Time Protocol daemon
Name: ptpd
Version: 1.0.0
# is the snaphost pre or post 1.0.0? If pre release should start with 0.
Release: 1.%{date}%{snapshot}%{?dist}
License: ISC
Group: System Environment/Daemons
URL: git://git.infradead.org/ptpd.git

# You must add a comment on how you created the tarball.
Source0: ptpd-%{version}-%{date}%{snapshot}.tar.gz
Source1: ptpd.init
Source2: ptpd.sysconfig

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description

This is the the PTP daemon (PTPd). PTPd implements the Precision
Time Protocol (PTP) as defined by 'IEEE Std 1588-2002'. PTP provides
precise time coordination of Ethernet LAN connected computers.
It was designed primarily for instrumentation and control systems.


%prep 
%setup -q -n %{name}-%{version}-%{date}%{snapshot}


%build
cd src
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
# binaries
# why not use shorter:

install -D -pm 0755 src/ptpd %{buildroot}%{_sbindir}/ptpd

install -d %{buildroot}/%{_sbindir}
install -pm 0755 src/ptpd %{buildroot}%{_sbindir}/ptpd

# man pages
# dont compress, rpm do that itself (and might switch to xz)
# install -pm 0664 src/ptpd.8 %{buildroot}%{_mandir}/man8/ptpd.8
# is enough
/usr/bin/gzip -c src/ptpd.8 > src/ptpd.8.gz
install -d %{buildroot}%{_mandir}/man8
install -pm 0644 src/ptpd.8.gz %{buildroot}%{_mandir}/man8

# init scripts
# use the -D trick here too,
install -d %{buildroot}/%{_initddir}
install -pm 0755 %{SOURCE1} %{buildroot}/%{_initddir}/ptpd

# config files
# ditto
install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -pm 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/ptpd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT README RELEASE_NOTES
%doc doc/ptpd_2005_1588_conference_paper.pdf
%config(noreplace) %{_sysconfdir}/sysconfig/ptpd
%{_sbindir}/ptpd
%{_initddir}/ptpd
# use %{_mandir}/man8/ptpd.8*
%{_mandir}/man8/*


And why is #495105 restriced? For a review this don't make sense.
Comment 2 Terje Røsten 2010-01-19 07:18:28 EST
URL tag is wrong, that should be web page, not git repo.

Where is the source coming from?

http://github.com/pohly/ptpd, git.infradead.org/ptpd.git
or ptpd.sourceforge.net?

Is git.infradead.org a fork of the fork? Please explain.
Comment 3 John W. Linville 2010-01-19 09:30:42 EST
SRPM URL: http://linville.fedorapeople.org/ptpd-1.0.0-2.20100118git599b03bfd1294.fc11.src.rpm

Updated spec for some rpmlint issues...

495105 is for adding ptpd to RHEL -- it depends on this bug, not the other way around.
Comment 4 Terje Røsten 2010-01-19 10:39:46 EST
I don't know the rules of mixing RHEL/Fedora tickets. However, it's bit strange to have restricted bits into a Fedora ticket.

Well, well, anyway it would be nice if you could comment on the issues (marked with # in the spec file) comment #1 and #2. The chance of getting the package approved increases that way :-)

Post link to spec file in every update. A koji scratch build would be nice too.
Comment 5 John W. Linville 2010-01-19 11:12:45 EST
There aren't restricted bits in a Fedora bug -- the RHEL bug is restricted simply because it originated as a customer request and in any case it merely depends on this one.  If it really bothers you it can be removed, although I think that would be a bit silly. :-)

The location of the spec didn't change, but I'll post new copies of the link for your convenience.

I was working on the changes corresponding to your comments -- your patience is appreciated.

# is reaaly date and git tag needed?

The code does not correspond with any "official" release.  The date and git tag are there in an attempt to comply with the packaging guidelines for snapshots.

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

# is such a long tag needed?

"use an %{alphatag} beginning with the date in YYYYMMDD format and followed by up to 16 (ASCII) alphanumeric characters of your choosing" -- is there some reason that this format/length is unacceptable?  Given that (however unlikely) the very next git commit could be 599b03bfd1295 I would prefer not to shorten it.

# is the snaphost pre or post 1.0.0? If pre release should start with 0.
It is post 1.0.0.

# You must add a comment on how you created the tarball.
OK

# why not use [install -D]
OK

# dont compress, rpm do that itself (and might switch to xz)
OK

# use %{_mandir}/man8/ptpd.8*
OK

# URL tag is wrong, that should be web page, not git repo.
There is no proper web page.  But, I changed the URL to point at gitweb instead.

# Where is the source coming from?
From the URL I specified, of course.

# Is git.infradead.org a fork of the fork? Please explain.
"Fork of the fork"?  I'm not sure I understand your question.

The original ptpd author/maintainer disappeared somewhat abruptly from the project.  Intel has a major interest in the project continuing, but a lack of interest in maintaining it themselves.  So I was recruited to shepherd the project, and I established the Infradead repository and mailing list for it and accepted some Intel-authored patches (http://github.com/pohly/ptpd) on top of the original 1.0.0 release.  Does that answer your question?

Spec URL: http://linville.fedorapeople.org/ptpd.spec
SRPM URL: http://linville.fedorapeople.org/ptpd-1.0.0-1.20100119git599b03bfd1294.fc11.src.rpm
Comment 7 Terje Røsten 2010-01-19 12:55:21 EST
> 
> The code does not correspond with any "official" release. The date and git tag
> are there in an attempt to comply with the packaging guidelines for snapshots.
> 
> http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages
> 
> # is such a long tag needed?
> 
> "use an %{alphatag} beginning with the date in YYYYMMDD format and followed by
> up to 16 (ASCII) alphanumeric characters of your choosing" -- is there some
> reason that this format/length is unacceptable?  Given that (however unlikely)
> the very next git commit could be 599b03bfd1295 I would prefer not to shorten
> it.

I am unsure, imho 1.%{date}git%{commitid}%{?dist} is ugly.

Might be that 1.%{date}git%{?dist} is enough.
Of course the commitid must be in the spec, however maybe not in the release tag?

 
> # Where is the source coming from?
> From the URL I specified, of course.
> 
> # Is git.infradead.org a fork of the fork? Please explain.
> "Fork of the fork"?  I'm not sure I understand your question.
> 
> The original ptpd author/maintainer disappeared somewhat abruptly from the
> project.  Intel has a major interest in the project continuing, but a lack of
> interest in maintaining it themselves.  So I was recruited to shepherd the
> project, and I established the Infradead repository and mailing list for it and
> accepted some Intel-authored patches (http://github.com/pohly/ptpd) on top of
> the original 1.0.0 release.  Does that answer your question?


I ask because a google search on ptpd brings me here:

 http://ptpd.sourceforge.net/

Original author here seems to be  Kendall Correll and Aidan Williams

Then I found this:

  http://github.com/pohly/ptpd

which says:

Precision Time Protocol - temporary fork with support for hardware timestamping

http://sourceforge.net/forum/forum.php?thread_id=1781065&forum_id=469207

A guy called Patrick Ohly is doing a fork and now you have your own fork
on git.infradead.org?

Ok.

Package is good shape, some pedantic things:

 o mixing %{}- and $-style macros, change $RPM_OPT_FLAGS to %{optflags}

 o why is release starting with 1, it should start with 3 by now?
Comment 8 John W. Linville 2010-01-19 13:55:18 EST
> I am unsure, imho 1.%{date}git%{commitid}%{?dist} is ugly.

Nevertheless, it follows the example in the packaging guidelines.

> why is release starting with 1, it should start with 3 by now?

I regenerated the tarball, changing the date.  So it followed this progression:

1.20100118git599b03bfd1294
2.20100118git599b03bfd1294
1.20100119git599b03bfd1294

Since I'm hitting the spec anyway, I'll change it to avoid further confusion.

> mixing %{}- and $-style macros, change $RPM_OPT_FLAGS to %{optflags}

OK...

> A guy called Patrick Ohly is doing a fork and now you have your own fork
> on git.infradead.org?

Patrick Ohly works (or at least worked) for Intel.  After the SourceForge guys disappeared, he sent his changes to me.  I presume that he will send any further contributions to me, so there is no "fork" there.  The SourceForge guys abandoned the project, so as far as I'm concerned my tree on Infradead isn't a "fork" either -- the project merely moved.  The tree on Infradead is the consolidated result.

Spec URL: http://linville.fedorapeople.org/ptpd.spec
SRPM URL: http://linville.fedorapeople.org/ptpd-1.0.0-4.20100119git599b03bfd1294.fc11.src.rpm
Comment 9 John W. Linville 2010-01-20 11:39:17 EST
Nevermind...this package review request is hereby withdrawn due to patent issues surrounding implementation of IEEE1588.

IEC 61588 == IEEE 1588

http://www.iec.ch/tctools/patents/agilent.htm

Also here: http://standards.ieee.org/db/patents/pat1390.html

1588     Agilent Technologies, Inc., 5301 Stevens Creek Blvd, Santa Clara CA 95051-7201
         Doug Kundrat-Director of Intellectual Property, MS: A1-PB, tel: +1-408-553-3052, email: Doug_Kundrat@agilent.com
         5,566,180 (US), 6,252,445 (US), 6,278,710 (US), 6,370,159 (US)
         6-Jun-2002
         yes
         8-Jan-2008
1588    Cisco Systems Inc., 170 West Tasman Drive, San Jose CA 95134
        Dan Lang-Director, Patents and Standards IPR, Legal Dept., tel: +1-408-526-6672, fax: +1-408-526-5952; email: standards-ipr@cisco.com
        not indicated
        22-Aug-2006
        yes
	12-Jul-2007
1588    Samsung Electronics Co., Ltd. (Samsung Advanced Institute of Technology)
        ChiHyong Kang-Intellectual Property Group., Ml.14.1 Nongseo-dong, Giheung-gu Yongin-si, Gyeonggi-Do, Korea 449-712, tel: +82-31-280-6559, fax: +82-31-280-6565; email:
+ch2.kang@samsung.com, URL: www.sait.samsung.co.kr
        not indicated
        12-Apr-2007
        yes
        12-Apr-2007
1588    Siemens Aktiengesellschaft
        Hans-Joerg Mueller, CT IP L&T, Otto-Hahn-Ring 6, 81739 Munchen, Germany, tel: +49-89-636-82628, fax: +49-89-636-81855; email: hans-joerg.mueller@siemens.com, URL:
+www.siemens.com
        WO 03/028258, EP 1430627, DE10229110, US 2004/258097, WO 03/028259, EP 1430628, DE 10147422, US 2004/0249982, CN 1561590, CA 2461472
        11-Apr-2007
        yes
        12-Apr-2007
Comment 10 Peter Lemenkov 2012-12-02 07:04:42 EST
This can be reopened now. Fedora Legal approves PTP software:

* https://bugzilla.redhat.com/show_bug.cgi?id=807810#c4
Comment 11 Peter Lemenkov 2013-03-23 00:59:09 EDT

*** This bug has been marked as a duplicate of bug 658796 ***

Note You need to log in before you can comment on or make changes to this bug.